
package net.northking.cctp.upperComputer.deviceManager.entity;

import com.google.gson.annotations.SerializedName;

@SuppressWarnings("unused")
public class ChargerData {

    @SerializedName("ChargerID")
    private Long chargerID;
    @SerializedName("ChargerInhibitReason")
    private Long chargerInhibitReason;
    @SerializedName("ChargerStatus")
    private String chargerStatus;
    @SerializedName("ChargingCurrent")
    private Long chargingCurrent;
    @SerializedName("ChargingVoltage")
    private Long chargingVoltage;
    @SerializedName("NotChargingReason")
    private Long notChargingReason;
    @SerializedName("TimeChargingThermallyLimited")
    private Long timeChargingThermallyLimited;
    @SerializedName("VacVoltageLimit")
    private Long vacVoltageLimit;

    public Long getChargerID() {
        return chargerID;
    }

    public void setChargerID(Long chargerID) {
        this.chargerID = chargerID;
    }

    public Long getChargerInhibitReason() {
        return chargerInhibitReason;
    }

    public void setChargerInhibitReason(Long chargerInhibitReason) {
        this.chargerInhibitReason = chargerInhibitReason;
    }

    public String getChargerStatus() {
        return chargerStatus;
    }

    public void setChargerStatus(String chargerStatus) {
        this.chargerStatus = chargerStatus;
    }

    public Long getChargingCurrent() {
        return chargingCurrent;
    }

    public void setChargingCurrent(Long chargingCurrent) {
        this.chargingCurrent = chargingCurrent;
    }

    public Long getChargingVoltage() {
        return chargingVoltage;
    }

    public void setChargingVoltage(Long chargingVoltage) {
        this.chargingVoltage = chargingVoltage;
    }

    public Long getNotChargingReason() {
        return notChargingReason;
    }

    public void setNotChargingReason(Long notChargingReason) {
        this.notChargingReason = notChargingReason;
    }

    public Long getTimeChargingThermallyLimited() {
        return timeChargingThermallyLimited;
    }

    public void setTimeChargingThermallyLimited(Long timeChargingThermallyLimited) {
        this.timeChargingThermallyLimited = timeChargingThermallyLimited;
    }

    public Long getVacVoltageLimit() {
        return vacVoltageLimit;
    }

    public void setVacVoltageLimit(Long vacVoltageLimit) {
        this.vacVoltageLimit = vacVoltageLimit;
    }

}
